
Auto Multiple Choice - Bug # 859: Remplacer les codes automatiques par les codes étudiants

Status: Closed Priority: Normal
Author: Sylow 23 Category:
Created: 11/29/2022 Assignee:
Updated: 11/30/2022 Due date:
Description: Bonjour,

j'ai un problème qui revient souvent. Je crée des sujets sur plusieurs pages (2/3) et parfois ils sont mal 
distribués: certains étudiants reçoivent (par exemple) p. 1 du DS +xx et p. 2 du DS +yy. Au moment de 
l'individualisation des copies, cela est bien évidemment un problème. J'ai pensé à rajouter en bas de page 
une case où ils peuvent écrire leur nom (avec \AMCsetFoot{\fbox{\begin{parbox}[t]{.95\textwidth}{\textsc{Nom 
et Prénom}\dotfill}\end{parbox}}}) mais cela n'est pas optimal. Je me demande s'il serait possible de rajouter 
les cases où les étudiants codent leurs ID sur _chaque page_ , ou toute autre solution compatible avec la 
reconnaissance _automatique_. Merci!

History
11/29/2022 04:44 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Dans votre situation, le plus simple est peut-être de créer un projet différent pour chaque feuille de sujet ?
Pour éviter d'envoyer un scan dans le mauvais projet, on peut personnaliser le dernier numéro du code en haut des pages avec
<pre>
\makeatletter
\AMCid@check=2
\makeatother
</pre>
(en donnant une valeur différente pour chaque projet).

11/29/2022 09:13 pm - Sylow 23
Merci; et sinon, ne serait-il pas possible de rajouter en bas de page le nom de l'étudiant automatiquement, en l’extrayant du même CSV que j'utilise 
après pour l'association automatique? Comme ça, chaque étudiant pourrait/devrait tâcher de ne remplir que _ses_ feuilles, où il y aura son nom en bas 
de page?

11/29/2022 10:32 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Oui c'est possible. Voir « copies pré-remplies » dans la documentation.

11/30/2022 04:12 pm - Sylow 23
Parfait, merci!
